package com.winhc.repal.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @description RepalRolePermission实体对象
 * @author Generator
 * @date 2022-04-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("REPAL_ROLE_PERMISSION")
@ApiModel(value="RepalRolePermission实体对象", description=" 回款宝-组织角色权限表")
public class RepalRolePermission implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "权限name")
    @TableField("PERMISSION_NAME")
    private String permissionName;

    @ApiModelProperty(value = "权限编码")
    @TableField("PERMISSION_CODE")
    private String permissionCode;

    @ApiModelProperty(value = "角色id")
    @TableField("REPAL_GROUP_ROLE_ID")
    private Long repalGroupRoleId;

    @ApiModelProperty(value = "是否删除，1删除。0否")
    @TableField("DELETED")
    private Integer deleted;

    @ApiModelProperty(value = "创建时间")
    @TableField("TIME_CREATED")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timeCreated;

    @ApiModelProperty(value = "修改时间")
    @TableField("TIME_MODIFIED")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timeModified;


}
