package com.winhc.repal.enums;

/**
 * @Description: CustPropertyEnum
 * @Author: xda
 * @Date: 2022/4/15 14:37
 */
public enum CustPropertyEnum {

    /**
     *  客户类型
     */
    COMPANY(1, "企业"),
    PERSON(2, "个人"),
    GOV(3, "政府事业单位");

    private final Integer code;

    private final String desc;

    CustPropertyEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return this.code;
    }

    public String getDesc() {
        return this.desc;
    }
}
