package com.winhc.repal.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @description AccountRemindHistory DTO对象
 * @author Generator
 * @date 2020-12-14
 */
@Data
@Accessors(chain = true)
@ApiModel(value="智能提醒历史表入参")
public class RepalRemindHistoryDTO {
    @ApiModelProperty(value = "查询类型 1账款详情 2客户管理 3智能监测 4首页账本",required = true)
    private Integer queryType;

    @ApiModelProperty(value = "客户ID")
    private Long custId;

    @ApiModelProperty(value = "账款ID")
    private Long repalBillId;

    @ApiModelProperty(value = "账本ID")
    private Long repalBookId;

    @ApiModelProperty(value = "提醒类型(不传或者传非枚举字段默认全部),查数量不传：OVERDUE(逾期提醒)、RANK(账款评级)、FINANCE(财产线索)、RISK(风险预警)")
    private String remindType;

    @ApiModelProperty(value = "筛选时间类型: ALL(全部)、MONTH(近30天)、WEEK(近7天) 不传默认ALL")
    private String timeSlot;


}
