package com.winhc.repal.repository;

import com.winhc.repal.entity.UserInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.winhc.repal.model.vo.UserAvatarInfoVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @description UserInfo Mapper 接口
 * @author Generator
 * @date 2022-04-13
 */
@Repository
public interface UserInfoMapper extends BaseMapper<UserInfo> {


    /**
     * 获取用户头像信息
     * @param userIdList userIdList
     * @return java.util.List<com.winhc.repal.model.vo.UserAvatarInfoVO>
     * @author xda
     * @date 2022/5/27 17:08
     */
    List<UserAvatarInfoVO> getUserAvatarInfo(@Param("userIdList") List<Long> userIdList);
}
